#ifndef TESTTASK_H
#define TESTTASK_H

#include <bits/pthreadtypes.h>
#include <linux/sched.h>

typedef struct testtask
{
  struct task_struct *task;
  struct thread_info *thread;

  pthread_cond_t cond;
  pthread_t pthread;
  int isalive;
  unsigned long irqflag;
  int blocked;
  int irqflags;
} testtask_t;

testtask_t *currenttask;

extern void switch2testtask(testtask_t *task);
testtask_t *create_testtask(int pid,int prio);
void testtask_job();


#endif
